import Api from "~/service/Api"
import Utils from "~/utils"

export default {
                async onInfbutSearow(){
                let rtnmsg = await this.executeRule("infbut.searow")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onInfbutDsp(){
                let rtnmsg = await this.executeRule("infbut.dsp")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onInfbutUserow(){
                let rtnmsg = await this.executeRule("infbut.userow")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onInfbutClr(){
                let rtnmsg = await this.executeRule("infbut.clr")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onInfbutButprt(){
                let rtnmsg = await this.executeRule("infbut.butprt")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onSelbut(){
                let rtnmsg = await this.executeRule("selbut")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onInfbutExi(){
                let rtnmsg = await this.executeRule("infbut.exi")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onRecpanGetref(){
                let rtnmsg = await this.executeRule("recpan.getref")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onRecpanGetinf(){
                let rtnmsg = await this.executeRule("recpan.getinf")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onRecpanGetuetr(){
                let rtnmsg = await this.executeRule("recpan.getuetr")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onRecpanSelbut(){
                let rtnmsg = await this.executeRule("recpan.selbut")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onRecpanSelbut1(){
                let rtnmsg = await this.executeRule("recpan.selbut1")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onSndpDet(){
                let rtnmsg = await this.executeRule("sndp.det")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onOripDet(){
                let rtnmsg = await this.executeRule("orip.det")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onRecpanGetmod(){
                let rtnmsg = await this.executeRule("recpan.getmod")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onOrcpDet(){
                let rtnmsg = await this.executeRule("orcp.det")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onPyepDet(){
                let rtnmsg = await this.executeRule("pyep.det")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onRecpanSerpty(){
                let rtnmsg = await this.executeRule("recpan.serpty")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onInfconButshw(){
                let rtnmsg = await this.executeRule("infcon.butshw")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onInfconButshword(){
                let rtnmsg = await this.executeRule("infcon.butshword")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async handleReset() {
            
    
        },
        async handleSearch() {
                
                let rtnmsg = await this.executeRule("infbut.searow")
                if(rtnmsg.respCode == SUCCESS)
                {
                    this.stmData.data = rtnmsg.data.infbut_dspstm.rows;

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
        },

}